/*******************************************************************************
 * @file                trtSettings.h
 * @brief               Settings for TinyRealTime OS
 * @date                December 2nd, 2014
 * @authors             Alexander Volkov <av333@cornell.edu>,
 *                      Kevin Bonett     <kb476@cornell.edu>,
 *                      Andre Heil       <avh34@cornell.edu>,
 *                      Bruce Land       <brl4@cornell.edu>,
 *                      Anton Cervin     <anton@control.lth.se>,
 *                      Dan Henriksson   <dan@control.lth.se>
 * @version             3.0
 *
 * This file defines macros to be used by trtKernel.c
 *
 ******************************************************************************/


/*** Program Macros ***********************************************************/

#define MAXNBRTASKS      4
#define MAXNBRSEMAPHORES 7
#define MAXNBRMUTEX      1

#define PRESCALER        1024  /* The actual value for Timer1 prescalar */
#define PRESCALEBITS     5     /* The bits to be set in TCCR1B          */

#define F_CPU            16000000UL
#define TICKSPERSECOND   F_CPU / PRESCALER
